import numpy as np
import os
import sys

#this script add together the binary files in wavenumbers

def main(SpeciesName):
	filename="Molecules2.txt"


	Tmin, Tmax, numax = np.loadtxt(filename, usecols=(0,1,2),unpack=True)
	name, M = np.loadtxt(filename, dtype='str', usecols=(3,4),unpack=True)

	#print(m, Tmin, Tmax, numax, name, iso)

	 
	for j in range(len(M)):

		if(name[j] == SpeciesName):

			path =    name[j] + "_e2/"
			binpath = name[j] + "_e2b/"
			print(name[j], int(numax[j] / 1000), path)

			os.mkdir(binpath)
			os.system('./reduce -indir %s -b 1 -reduce 1 -dnu 0.01 -numin 0 -numax %d -Tmin %d -Tmax %d -outdir %s' % (path, numax[j], Tmin[j], Tmax[j], binpath))

if __name__ == "__main__":
	if(len(sys.argv) < 2):
		print("Error, no species specified, run python3 reduceScript.py <id>")
		exit()

	m = sys.argv[1]
	print(m)
	main(m)
